package de.szut.lf8_starter.project;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.annotation.CreatedDate;

import java.time.LocalDate;
import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@Entity
@Table(name = "projects")
public class ProjectEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    private String name;

    private long leadingEmployee;

    @ElementCollection
    private List<Long> employees;

    private long contractor;

    private String contractorName;

    private String comment;

    @CreatedDate
    private LocalDate startDate;

    private LocalDate plannedEndDate;

    private LocalDate endDate;
}
